Константа time.RFC822Z

Константа time.RFC822Z представляет собой шаблон для форматирования и парсинга даты и времени согласно стандарту RFC 822 с числовым часовым поясом. В отличие от константы time.RFC822, которая использует трехбуквенный код часового пояса (например, "EST"), данная константа использует числовой формат (например, "-0700"). Шаблон имеет вид "02 Jan 06 15:04 -0700".

Синтаксис

gotime.RFC822Z

Пример

Давайте отформатируем текущее время с использованием константы time.RFC822Z:

gopackage main

import (
  "fmt"
  "time"
)

func main() {
  now := time.Now()
  res := now.Format(time.RFC822Z)
  fmt.Println(res)
}

Результат выполнения кода будет выглядеть примерно так:

go"02 Jan 26 15:04 -0700"

Пример

Давайте распарсим строку времени, соответствующую формату time.RFC822Z:

gopackage main

import (
  "fmt"
  "time"
)

func main() {
  str := "02 Jan 26 15:04 -0700"
  res, err := time.Parse(time.RFC822Z, str)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(res)
}

Результат выполнения кода:

go"2026-01-02 15:04:00 -0700 -0700"

Пример

Сравним вывод констант time.RFC822 и time.RFC822Z для одного и того же времени:

gopackage main

import (
  "fmt"
  "time"
)

func main() {
  now := time.Now()
  rfc822 := now.Format(time.RFC822)
  rfc822z := now.Format(time.RFC822Z)
  fmt.Println(rfc822)
  fmt.Println(rfc822z)
}

Результат выполнения кода:

go"02 Jan 26 15:04 MST"
"02 Jan 26 15:04 -0700"

Смотрите также

  • константу time.RFC822,
    которая использует трехбуквенный код часового пояса
  • константу time.RFC1123Z,
    которая использует числовой часовой пояс в формате RFC 1123
  • константу time.RFC3339,
    которая представляет формат RFC 3339 с часовым поясом
  • константу time.RFC3339Nano,
    которая добавляет наносекунды к формату RFC 3339